From d804ba36a8f896161a3c27ace561189e718653c5 Mon Sep 17 00:00:00 2001
From: Simon Lejeune <sle@openerp.com>
Date: Wed, 19 Nov 2014 23:37:43 +0100
Subject: [PATCH] [ADD] packaging: windows: bundle wkhtmltopdf and lessc

---
 setup/win32/setup.nsi          |  6 +++++-
 setup/win32/static/getfiles.sh | 28 ++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)
 create mode 100755 setup/win32/static/getfiles.sh

diff --git a/setup/win32/setup.nsi b/setup/win32/setup.nsi
index 6afe1e75fd5a..73def65df599 100755
--- a/setup/win32/setup.nsi
+++ b/setup/win32/setup.nsi
@@ -238,6 +238,10 @@ Section $(TITLE_OpenERP_Server) SectionOpenERP_Server
     File "start.bat"
     File "stop.bat"
 
+    SetOutPath "$INSTDIR\thirdparty"
+    File /r "${STATIC_PATH}\wkhtmltopdf\*"
+    File /r "${STATIC_PATH}\less\*"
+
 # If there is a previous install of the OpenERP Server, keep the login/password from the config file
     WriteIniStr "$INSTDIR\server\openerp-server.conf" "options" "db_host" $TextPostgreSQLHostname
     WriteIniStr "$INSTDIR\server\openerp-server.conf" "options" "db_user" $TextPostgreSQLUsername
@@ -324,7 +328,7 @@ Section "Uninstall"
 
     Rmdir /r "$INSTDIR\server"
     Rmdir /r "$INSTDIR\service"
-
+    Rmdir /r "$INSTDIR\thirdparty"
     DeleteRegKey HKLM "${UNINSTALL_REGISTRY_KEY}"
 SectionEnd
 
diff --git a/setup/win32/static/getfiles.sh b/setup/win32/static/getfiles.sh
new file mode 100755
index 000000000000..9d0ebd556ada
--- /dev/null
+++ b/setup/win32/static/getfiles.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+# apt-get install p7zip-full
+set -e
+
+mkdir -p wkhtmltopdf less/node_modules
+TEMPDIR=`mktemp -d -t odoo_windows_build_XXXX`
+function cleanup {
+  rm -rf $TEMPDIR
+}
+trap cleanup EXIT
+
+# postgresql
+wget -q http://get.enterprisedb.com/postgresql/postgresql-9.3.5-1-windows.exe
+
+# wkhtmltopdf
+wget -q -P $TEMPDIR http://downloads.sourceforge.net/project/wkhtmltopdf/0.12.1/wkhtmltox-0.12.1.2_msvc2013-win32.exe
+7z x -o$TEMPDIR $TEMPDIR/wkhtmltox-0.12.1.2_msvc2013-win32.exe
+cp $TEMPDIR/bin/wkhtmltopdf.exe ./wkhtmltopdf
+
+# less
+wget -q -P ./less http://nodejs.org/dist/latest/node.exe
+echo '"%~dp0\node.exe" "%~dp0\.\node_modules\less.js\bin\lessc" %*' > ./less/lessc.cmd
+pushd ./less/node_modules
+wget -q https://github.com/less/less.js/archive/v2.0.0.tar.gz -O - | tar xz && mv less.js-2.0.0 less.js
+wget -q https://github.com/then/promise/archive/6.0.1.tar.gz -O - | tar xz && mv promise-6.0.1 promise
+wget -q https://github.com/kriskowal/asap/archive/v2.0.0.tar.gz -O - | tar xz && mv asap-2.0.0 asap
+wget -q -P $TEMPDIR https://github.com/less/less-plugin-clean-css/archive/clean-css-3.zip
+unzip $TEMPDIR/clean-css-3.zip && mv less-plugin-clean-css-clean-css-3 less-plugin-clean-css-clean-css
-- 
GitLab